import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { environment } from '@env/environment';

@Injectable()
export class AutoresXUsuarioService {

  	constructor(private http: HttpClient) { }
	
	public buscarAutores(ciaopr: string, username: string, 
                    nombre: string, pagina_desde: number = 1, 
                    registros_x_pagina: number = 20) : Observable<Response>{

    	let urlrequest = environment.rest_url + 
                    "autores_x_usuario/autores/" + 
                    environment.ciaopr + "/" + 
                    username + 
                    "?pagina_desde=" + pagina_desde + 
                    "&registros_x_pagina=" + registros_x_pagina;
                    if(nombre!="" && nombre!==undefined){
                        urlrequest=urlrequest+"&nombrecompleto="+nombre;
                    }
    	return this.http.get<Response>(urlrequest);     
 	}
	
	

}
