import { Injectable } from '@angular/core';
import { Md5 } from 'ts-md5/dist/md5';
import { environment } from '@env/environment';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';

@Injectable()
export class LoginService {

    constructor(private http: HttpClient) { }

    public login(username: string, password: string): Observable<any> {
    	let headers = new HttpHeaders().set('Content-Type','application/json');
    	return this.http.post((environment.rest_url +
        	"login/token/" + environment.ciaopr +
          	"/" + username + "?tipo_usuario=SYS"),
            JSON.stringify(Md5.hashStr(password)),{headers: headers});
   }

  public login_auth(username: string, password: string, auth_login: string): Observable<any> {
    let headers = new HttpHeaders().set('Content-Type', 'application/json');
    const login_data = {
      ciaopr: '1',
      username: username,
      password: Md5.hashStr(password),
      authority: auth_login
    };
    return this.http.post((environment.rest_url + 'login/token/' + environment.ciaopr),
          JSON.stringify(login_data), {headers: headers});
  }
  	public logout(){
		localStorage.removeItem("auth");
  	}

    public getMd5(cadena: string): string {
        return JSON.stringify(Md5.hashStr(cadena));
    }

}
