import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { environment } from '@env/environment';

@Injectable()
export class NotaTipoService {

    constructor(private httpClient: HttpClient) { }

    public obtenerTiposDeNotas(nota_tipo_cod: string,
                                pagina: number = 1,
                                cant_registros: number = environment.cat_regs_x_paginas): Observable<Response> {

        let params = new HttpParams();
        params.append('nota_tipo_cod', nota_tipo_cod);
        params.append('pagina', pagina.toString());
        params.append('cant_registros', cant_registros.toString());

        let urlrequest = environment.rest_url;
        urlrequest += 'tipo_nota/'+ environment.ciaopr;

        return this.httpClient.get<Response>(urlrequest, {params: params});
    }
}
