import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '@env/environment';
import { Observable } from 'rxjs/Observable';
import { Response } from '@app/modelo/dto/response';
import { PortadaVarianteBloqueDef } from '@app/modelo';

@Injectable()
export class PortadaVarianteBloqueDefService {

  	constructor(private httpClient: HttpClient) { }
	
	public getVariantesBloqDef(ciaopr: string = environment.ciaopr,
								portadatipocod: string,
								variante_cod: string,
								pagina = 1,
								cant_registros: number = environment.cat_regs_x_paginas): Observable<Response> {
        let urlrequest = environment.rest_url;

		urlrequest += 'portada_variante_bloque_def/' + environment.ciaopr;
        urlrequest += '?cant_registros=' + cant_registros;
        urlrequest += '&pagina=' + pagina;
		if(portadatipocod != undefined && portadatipocod != null) {
			urlrequest += '&portadatipocod=' + portadatipocod;
		}
		if(variante_cod != undefined && variante_cod != null) {
			urlrequest += '&variante_cod=' + variante_cod;
		}

        return this.httpClient.get<Response>(urlrequest);
    }
    
  	public modifVariantesBloqDef(ciaopr: string = environment.ciaopr,bloque:PortadaVarianteBloqueDef): Observable<Response> {
		let urlrequest = environment.rest_url;
		urlrequest += 'portada_variante_bloque_def/mod_titulo/' + environment.ciaopr;

  		return this.httpClient.put<Response>(urlrequest,bloque);
 	}

}
