import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '@env/environment';
import { Observable } from 'rxjs/Observable';
import { Response } from '@app/modelo/dto/response';


@Injectable()
export class SeccionService {

  constructor(private httpClient: HttpClient) { }

	public buscarSecciones(ciaopr: string, nombre: string,
							pagina = 1,
							cant_registros: number = environment.cat_regs_x_paginas,
						    seccioncodnivel1: string): Observable<Response> {
        let urlrequest = environment.rest_url;

		urlrequest += 'seccion/' + environment.ciaopr;
        urlrequest += '?cant_registros=' + cant_registros;
        urlrequest += '&pagina=' + pagina;
		if(nombre != undefined && nombre != null) {
			urlrequest += '&nombre=' + nombre;
		}
		if(seccioncodnivel1 != undefined && seccioncodnivel1 != null) {
			urlrequest += '&seccioncodnivel1=' + seccioncodnivel1;
		}

        return this.httpClient.get<Response>(urlrequest);
    }
}
