import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { environment } from '@env/environment';
import { NotaTag } from '@app/modelo';


@Injectable()
export class TagService {

  constructor(private http: HttpClient) { }

  public buscarTag(tagdesc: string,pagina: number = 1,
      registros_x_pagina: number = 20): Observable<Response>{

      let urlrequest = environment.rest_url;
      urlrequest += "tag/consulta/"+ environment.ciaopr;
      urlrequest += "?cant_Registros="+ registros_x_pagina;
      urlrequest += "&pagina="+ pagina;

      if(tagdesc != null){
        urlrequest += "&tagdesc="+ tagdesc;
      }
        
      return this.http.get<Response>(urlrequest);
  }

  public crearTag(tag: NotaTag): Observable<Response>{

    let urlrequest = environment.rest_url;
    urlrequest += "tag/"+ environment.ciaopr;

    return this.http.post<Response>(urlrequest,tag);

  }

}
