import { CatalogoDto } from '@app/util/catalogo-dto';
import { MatPaginator } from '@angular/material';
import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/merge';

export class CxDataSource extends DataSource<any> {

    constructor(private catalogo: CatalogoDto, private paginator: MatPaginator) {
        super();
    }

    connect(): Observable<any[]> {

        const displayDataChanges = [
            this.catalogo.results,
            this.paginator.page
        ];

        return Observable
            .merge(...displayDataChanges)
            .map(() => {
                const data = this.catalogo.results.slice();
                const finalData = data;
                return finalData;
            });
    }

    disconnect() {}
}
