import { Injectable } from '@angular/core';
import { HttpRequest, 
		HttpHandler, 
		HttpEvent, 
		HttpInterceptor, 
		HttpErrorResponse } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/do';
import { Router } from '@angular/router';
import { Usuario } from '@app/modelo';

@Injectable()
export class InterceptorService implements HttpInterceptor {

   	protected usuario: Usuario;
	
	constructor(public router: Router) { }

	intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {
        this.usuario = JSON.parse(localStorage.getItem('auth'));
        if(this.usuario && this.usuario.token){
            request = request.clone({
                setHeaders: {
                    Authorization: `Bearer ${this.usuario.token}`
                }
            });
        } 
        return next.handle(request).do((event: HttpEvent<any>) => {
//    		if (event instanceof HttpResponse) {
      			// do stuff with response if you want
//    		}
  		}, (err: any) => {
    		if (err instanceof HttpErrorResponse) {
      			if (err.status === 401) {
        			this.router.navigate(['/']);
      			} else {
					throw err;
				}
    		}
  		});
  }
}
